Custom question responses configured for the account.
Show child attributes
Was this page helpful?
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"SmarterServices Platform","colors":{"primary":"#015692","light":"#0D9373","dark":"#015692"},"logo":{"light":"https://cdn.prod.website-files.com/650b016f7e13a7d9de337f22/6629053ca1393100c09aa484_SmarterServices%20Logo.png","dark":"https://cdn.prod.website-files.com/650b016f7e13a7d9de337f22/6629053ca1393100c09aa484_SmarterServices%20Logo.png"},"favicon":"https://mintcdn.com/smarterservicesllc/fCrC3qjG9fnKrDR3/favicon.png?fit=max\u0026auto=format\u0026n=fCrC3qjG9fnKrDR3\u0026q=85\u0026s=4ebd4e7b2756068bf227df06619633a6","api":{"openapi":["https://api.smarterproctoring.com/openapi.json","assessment/api/openapi.json"]},"navbar":{"links":[{"href":"https://intercom.help/smarterservices-llc-028a8a0949b6/en","label":"Support"}]},"footer":{"socials":{"website":"https://www.smarterservices.com","youtube":"https://www.youtube.com/@smarterservices","linkedin":"https://www.linkedin.com/company/smarterservices","facebook":"https://www.facebook.com/smarterservices","x":"https://x.com/smarterservices","github":"https://github.com/smarterservices"}},"styling":{"latex":false},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"smarterservicesllc","hasAudioNarration":false,"actualSubdomain":"smarterservicesllc","customDomains":["developers.smarterservices.com"],"gitSource":{"type":"github","owner":"smarterservices","repo":"platform-documenation","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"chroma":{"liveDeploymentHistoryId":"6a5de60074e183eea51381f1","collectionId":"b4811552-fb4e-467d-88a2-623c3838f2d6","schemaVersion":"v3","latestBuiltDeploymentHistoryId":"6a5de60074e183eea51381f1"},"feedback":{"thumbs":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6a5de60074e183eea51381f1:success","clientVersion":"0.0.4044","searchFilterCounts":[{"language":"default","tag":"Proctoring","count":70},{"language":"default","tag":"Endpoints","count":63},{"language":"default","tag":"Platform","count":33},{"language":"default","tag":"BlockKit","count":25},{"language":"default","tag":"Reports","count":17},{"language":"default","tag":"Assessment","count":16},{"language":"default","tag":"API Reference","count":13},{"language":"default","tag":"SmarterElements","count":10},{"language":"default","tag":"Security \u0026 Authorization","count":9},{"language":"default","tag":"Getting Started","count":8}]},"assistantConfig":{},"basePath":"","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[],"googleFontsInlined":false},"customCss":[{"filePath":"style.css","content":".elements-example{border:1px solid #ddd;border-radius:var(--rounded-2xl, 1rem);overflow-y:auto;padding:5px}"}],"page":{"pagePath":"assessment/api/users/update-user","slug":"/assessment/api/users/update-user","pageMetadata":{"title":"Update User","description":"Update a specific user","openapi":"PUT /users/{userid}","href":"/assessment/api/users/update-user"},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Update a specific user\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"title":"Update User","description":"Update a specific user","openapi":"PUT /users/{userid}","href":"/assessment/api/users/update-user"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"summary":"Updates the meta data for a user.","parameters":["5983d784-2a03-4bc1-a9d5-841896a01589"],"requestBody":"309f9a29-4206-4b81-a7ae-d705899578b5","responses":{"200":"9f67eba4-972b-4cb6-8219-798406575299"},"method":"put","type":"path","servers":["f5940626-645b-47e1-bc00-b50e23bd1f48"],"security":["8a24586e-869e-48c7-aaa7-e78b0946525a"],"path":"/users/{userid}","baseUrlOptions":["https://api.smartermeasure.com/v3"],"title":"Updates the meta data for a user.","description":"Update a specific user","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"5983d784-2a03-4bc1-a9d5-841896a01589":{"in":"path","name":"userid","required":true,"schema":{"type":"number","isRequired":true,"description":"User that should be updated.","uniqueKey":"","typeLabel":"number"},"description":"User that should be updated."}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"FirstName":{"type":"string","uniqueKey":"FirstName","typeLabel":"string"},"LastName":{"type":"string","uniqueKey":"LastName","typeLabel":"string"},"Email":{"type":"string","uniqueKey":"Email","typeLabel":"string"},"InternalID":{"type":"string","uniqueKey":"InternalID","typeLabel":"string"},"Gender":{"type":"string","enum":["M","F"],"uniqueKey":"Gender","typeLabel":"enum\u003cstring>"},"EthnicityID":{"type":"number","uniqueKey":"EthnicityID","typeLabel":"number"},"AgeRange":{"type":"string","uniqueKey":"AgeRange","typeLabel":"string"},"HowManyCoursesTaken":{"type":"string","uniqueKey":"HowManyCoursesTaken","typeLabel":"string"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"FirstName":"\u003cstring>","LastName":"\u003cstring>","Email":"\u003cstring>","InternalID":"\u003cstring>","EthnicityID":123,"AgeRange":"\u003cstring>","HowManyCoursesTaken":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"9f67eba4-972b-4cb6-8219-798406575299":{"description":"User metadata updated.","content":{"application/json":{"example":{"UserId":"10000001","FirstName":"Alice","LastName":"Carter","Email":"alice.carter@example.com","InternalId":"STU-001","AccessCode":"Xk9mPqRt","HowManyCourses":[],"AgeRange":[],"Gender":[],"CompletionPercentage":"0","DateTimeStarted":"2026-03-20T18:40:08Z","DateTimeLastUpdated":"2026-06-09T20:47:42Z","DateTimeCompleted":[],"Uri":"/users/10000001","CustomData":[{"QuestionId":"611","ParameterId":"coid","Response":[]},{"QuestionId":"612","ParameterId":"dcc","Response":[]},{"QuestionId":"1972","ParameterId":"custom_canvas_user_id","Response":[]},{"QuestionId":"2172","ParameterId":"SessionSid","Response":[]}]},"schema":{"type":"object","properties":{"UserId":{"type":"string","uniqueKey":"UserId","typeLabel":"string"},"FirstName":{"type":"string","uniqueKey":"FirstName","typeLabel":"string"},"LastName":{"type":"string","uniqueKey":"LastName","typeLabel":"string"},"Email":{"type":"string","format":"email","uniqueKey":"Email","typeLabel":"string\u003cemail>"},"InternalId":{"type":"string","uniqueKey":"InternalId","typeLabel":"string"},"AccessCode":{"type":"string","description":"The user's assessment access (PIN) code.","uniqueKey":"AccessCode","typeLabel":"string"},"CompletionPercentage":{"type":"string","description":"Percentage of the assessment completed (0-100).","uniqueKey":"CompletionPercentage","typeLabel":"string"},"DateTimeStarted":{"type":"string","format":"date-time","uniqueKey":"DateTimeStarted","typeLabel":"string\u003cdate-time>"},"DateTimeLastUpdated":{"oneOf":[{"type":"string","description":"Date the assessment was last updated. Empty array if not yet updated.","format":"date-time","uniqueKey":"DateTimeLastUpdated.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"array","items":{"oneOf":[{}],"uniqueKey":"DateTimeLastUpdated.oneOf.1.items.[INDEX]","typeLabel":"any"},"description":"Date the assessment was last updated. Empty array if not yet updated.","uniqueKey":"DateTimeLastUpdated.oneOf.1","typeLabel":"any[]"}],"uniqueKey":"DateTimeLastUpdated","typeLabel":"string\u003cdate-time> | any[]"},"DateTimeCompleted":{"oneOf":[{"type":"string","description":"Date the assessment was completed. Empty array if not yet completed.","format":"date-time","uniqueKey":"DateTimeCompleted.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"array","items":{"oneOf":[{}],"uniqueKey":"DateTimeCompleted.oneOf.1.items.[INDEX]","typeLabel":"any"},"description":"Date the assessment was completed. Empty array if not yet completed.","uniqueKey":"DateTimeCompleted.oneOf.1","typeLabel":"any[]"}],"uniqueKey":"DateTimeCompleted","typeLabel":"string\u003cdate-time> | any[]"},"HowManyCourses":{"type":"array","items":{"oneOf":[{}],"uniqueKey":"HowManyCourses.items.[INDEX]","typeLabel":"any"},"uniqueKey":"HowManyCourses","typeLabel":"any[]"},"AgeRange":{"type":"array","items":{"oneOf":[{}],"uniqueKey":"AgeRange.items.[INDEX]","typeLabel":"any"},"uniqueKey":"AgeRange","typeLabel":"any[]"},"Gender":{"type":"array","items":{"oneOf":[{}],"uniqueKey":"Gender.items.[INDEX]","typeLabel":"any"},"uniqueKey":"Gender","typeLabel":"any[]"},"Uri":{"type":"string","description":"Relative URI for this user.","uniqueKey":"Uri","typeLabel":"string"},"CustomData":{"type":"array","description":"Custom question responses configured for the account.","items":{"type":"object","properties":{"QuestionId":{"type":"string","uniqueKey":"CustomData.items.[INDEX].QuestionId","typeLabel":"string"},"ParameterId":{"type":"string","description":"The parameter name used when passing custom data into the system.","uniqueKey":"CustomData.items.[INDEX].ParameterId","typeLabel":"string"},"Response":{"oneOf":[{"type":"string","description":"The user's response. Empty array if no response has been recorded.","uniqueKey":"CustomData.items.[INDEX].Response.oneOf.0","typeLabel":"string"},{"type":"array","items":{"oneOf":[{}],"uniqueKey":"CustomData.items.[INDEX].Response.oneOf.1.items.[INDEX]","typeLabel":"any"},"description":"The user's response. Empty array if no response has been recorded.","uniqueKey":"CustomData.items.[INDEX].Response.oneOf.1","typeLabel":"any[]"}],"uniqueKey":"CustomData.items.[INDEX].Response","typeLabel":"string | any[]"}},"uniqueKey":"CustomData.items.[INDEX]","typeLabel":"object"},"uniqueKey":"CustomData","typeLabel":"object[]"}},"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"UserId":"10000001","FirstName":"Alice","LastName":"Carter","Email":"alice.carter@example.com","InternalId":"STU-001","AccessCode":"Xk9mPqRt","HowManyCourses":[],"AgeRange":[],"Gender":[],"CompletionPercentage":"0","DateTimeStarted":"2026-03-20T18:40:08Z","DateTimeLastUpdated":"2026-06-09T20:47:42Z","DateTimeCompleted":[],"Uri":"/users/10000001","CustomData":[{"QuestionId":"611","ParameterId":"coid","Response":[]},{"QuestionId":"612","ParameterId":"dcc","Response":[]},{"QuestionId":"1972","ParameterId":"custom_canvas_user_id","Response":[]},{"QuestionId":"2172","ParameterId":"SessionSid","Response":[]}]}}},"exampleType":"examples"}},"exampleType":"examples"}},"security":{"8a24586e-869e-48c7-aaa7-e78b0946525a":{"basicAuth":{"type":"http","scheme":"basic","description":"Basic authentication with username and password","scopes":[]}}},"servers":{"f5940626-645b-47e1-bc00-b50e23bd1f48":{"url":"https://api.smartermeasure.com/v3","description":"SmarterMeasure User Service"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"basic","description":"Basic authentication with username and password","scopes":[]},"schema":{"title":"Basic Auth","type":"object","description":"Basic authentication with username and password","isRequired":true,"properties":{"username":{"type":"string","uniqueKey":"username","isRequired":true,"typeLabel":"string","deprecated":false},"password":{"type":"string","uniqueKey":"password","isRequired":true,"typeLabel":"string","deprecated":false}},"additionalProperties":false,"deprecated":false},"schemeName":"basicAuth","name":"Authorization"}],"title":"basicAuth"}]},"originalFileLocation":"assessment/api/openapi.json"},"subdomain":"smarterservicesllc","siteName":"SmarterServices Platform","title":"Update User - SmarterServices Platform","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2025-09-10T18:50:41.404Z","originalFileLocation":"assessment/api/users/update-user.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Update a specific user\">\u003cmeta data-mint-head name=\"application-name\" content=\"SmarterServices Platform\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/smarterservicesllc/B1jO8o0ggqMDkB2a/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/smarterservicesllc/B1jO8o0ggqMDkB2a/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/smarterservicesllc/B1jO8o0ggqMDkB2a/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/smarterservicesllc/B1jO8o0ggqMDkB2a/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/smarterservicesllc/B1jO8o0ggqMDkB2a/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/smarterservicesllc/B1jO8o0ggqMDkB2a/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/smarterservicesllc/B1jO8o0ggqMDkB2a/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/smarterservicesllc/B1jO8o0ggqMDkB2a/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/smarterservicesllc/B1jO8o0ggqMDkB2a/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Update User - SmarterServices Platform\">\u003cmeta data-mint-head property=\"og:description\" content=\"Update a specific user\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"SmarterServices Platform\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://developers.smarterservices.com/assessment/api/users/update-user\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://smarterservicesllc.mintlify.app/_mintlify/api/og/v2?division=Users%2FAssessments\u0026amp;title=Update+User\u0026amp;description=Update+a+specific+user\u0026amp;theme=4042a3185e49c2c9f63be8ee\u0026amp;signature=4244f4906e6dd8867842f84b9466852adcc8241e85777cd851ad66b2516a8e98\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Update User - SmarterServices Platform\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Update a specific user\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://smarterservicesllc.mintlify.app/_mintlify/api/og/v2?division=Users%2FAssessments\u0026amp;title=Update+User\u0026amp;description=Update+a+specific+user\u0026amp;theme=4042a3185e49c2c9f63be8ee\u0026amp;signature=4244f4906e6dd8867842f84b9466852adcc8241e85777cd851ad66b2516a8e98\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/smarterservicesllc/B1jO8o0ggqMDkB2a/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"SmarterServices Platform\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#015692\">\u003clink data-mint-head rel=\"canonical\" href=\"https://developers.smarterservices.com/assessment/api/users/update-user\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/assessment/api/users/update-user.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://developers.smarterservices.com/#organization\",\"name\":\"SmarterServices Platform\",\"url\":\"https://developers.smarterservices.com\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://cdn.prod.website-files.com/650b016f7e13a7d9de337f22/6629053ca1393100c09aa484_SmarterServices%20Logo.png\"}},{\"@type\":\"WebSite\",\"@id\":\"https://developers.smarterservices.com#website\",\"name\":\"SmarterServices Platform\",\"url\":\"https://developers.smarterservices.com\",\"publisher\":{\"@id\":\"https://developers.smarterservices.com/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://developers.smarterservices.com/assessment/api/users/update-user#webpage\",\"url\":\"https://developers.smarterservices.com/assessment/api/users/update-user\",\"name\":\"Update User\",\"description\":\"Update a specific user\",\"dateModified\":\"2025-09-10T18:50:41.404Z\",\"isPartOf\":{\"@id\":\"https://developers.smarterservices.com#website\"},\"breadcrumb\":{\"@id\":\"https://developers.smarterservices.com/assessment/api/users/update-user#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://developers.smarterservices.com/assessment/api/users/update-user#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API Reference\",\"item\":\"https://developers.smarterservices.com/assessment/api/introduction\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Users/Assessments\",\"item\":\"https://developers.smarterservices.com/assessment/api/users/create-user\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Update User\",\"item\":\"https://developers.smarterservices.com/assessment/api/users/update-user\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://developers.smarterservices.com/assessment/api/users/update-user#apireference\",\"headline\":\"Update User\",\"name\":\"Update User\",\"description\":\"Update a specific user\",\"url\":\"https://developers.smarterservices.com/assessment/api/users/update-user\",\"mainEntityOfPage\":{\"@id\":\"https://developers.smarterservices.com/assessment/api/users/update-user#webpage\"},\"dateModified\":\"2025-09-10T18:50:41.404Z\",\"publisher\":{\"@id\":\"https://developers.smarterservices.com/#organization\"},\"isPartOf\":{\"@id\":\"https://developers.smarterservices.com#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"SmarterServices Platform\",\"creator\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","siteName":"SmarterServices Platform","nav":{"global":null,"tabs":[{"tab":"Platform","icon":"layer-group","pages":[{"title":"Platform","href":""}]},{"tab":"Assessment","icon":"pen-to-square","groups":[{"group":"API Reference","pages":[{"title":"Introduction","href":"/assessment/api/introduction"},{"title":"Authentication","href":"/assessment/api/authentication"},{"title":"Error Messages \u0026 Codes","href":"/assessment/api/errors"},{"group":"Users/Assessments","icon":"building","pages":[{"title":"Create User","description":"Create a new user/assessment","openapi":"POST /users","href":"/assessment/api/users/create-user"},{"title":"Update User","openapi":"PUT /users/{userid}","href":"/assessment/api/users/update-user"},{"title":"List Users","description":"Get a list of users that match the specified criteria","openapi":"GET /users","href":"/assessment/api/users/list-users"},{"title":"Get User","openapi":"GET /users/{userid}","href":"/assessment/api/users/get-user"},{"title":"Sign On","openapi":"POST /users/{userid}/signon","href":"/assessment/api/users/signon"},{"title":"Report Link","openapi":"GET /users/{userid}/reportlink","href":"/assessment/api/users/report-link"}]},{"group":"Results","icon":"building","pages":[{"title":"User Results","openapi":"GET /users/{userid}/results","href":"/assessment/api/results/user-results"},{"title":"User Report","openapi":"GET /users/{userid}/report","href":"/assessment/api/results/user-report"},{"title":"Search Results","openapi":"GET /results","href":"/assessment/api/results/search"},{"title":"Search Results (expanded)","openapi":"GET /results/new","href":"/assessment/api/results/search-expanded"}]}]},{"group":"Webhooks","pages":[{"title":"Getting Started","icon":"rocket","href":"/assessment/webhooks/getting-started"},{"title":"Events \u0026 Payloads","icon":"code","href":"/assessment/webhooks/events-and-payloads"},{"title":"Testing \u0026 Troubleshooting","icon":"bug","href":"/assessment/webhooks/testing-and-troubleshooting"}]}]},{"tab":"Proctoring","icon":"camera-security","pages":[{"title":"Proctoring","href":"/proctoring/introduction"}]},{"tab":"SmarterElements","icon":"puzzle-piece","pages":[{"title":"SmarterElements","href":"/smarter-elements/overview"}]},{"tab":"Blog","icon":"book","href":"https://www.smarterservices.com/blog"}]},"basePath":"","title":"Update User - SmarterServices Platform","buildId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","deploymentId":"dpl_DeHjVRGfFnhYQwHnfC2pjeXXv8h9","dynamics":["c2aa737661","2b790eda92","b0f84f53ff","a9bb46feb3"],"chunks":["OpenApiReferenceProvider-CS552b7R.js","utils-DDTCYAF2.js","cloneDeep-izs3Hzxb.js","_Uint8Array-BVIqJ90l.js","isObjectLike-C8vmzPEN.js","isArray-Dcu1dQ5t.js","utils-De8ttokP.js","toString-BX-iyh8G.js","isSymbol-CSH9U2Gm.js","addUniqueKeysToSchema-DrwRDvAh.js","snippetPresets-DtAN0nWx.js","style-to-object-BY3JEAdk.js","v4-DIgz8zy6.js","ApiExamples-D5rWArI6.js","isEqual-BfaiBbcl.js","usePlaygroundInputsStore-O2i12wsz.js","shallow-DV8xABTt.js","getApiPlaygroundDisplay-DBZ0B5Jx.js","CodeSnippet-BVi0tPUX.js","CodeSnippets-CqASbIwY.js","Page-m07pfKpT.js","getPastedJson-DG9vsMS8.js","icon-CXzRSCr8.js","MethodPill-BdKVtEuX.js","DuplicateIcon-CZlmBrJI.js","createIcon-biFEUKPL.js","DynamicMarkdown-B54_zNBF.js","SectionHeading-DwwHK3Pt.js","axios-vUo_bRtp.js","Markdown-DfhCTwyA.js","clsx-xpJZXxdP.js","lib-DuNMoZ05.js","lib-B8HbPgcC.js","html-void-elements-mCSPHezU.js","dist-BTZUMDnx.js","katex-YMM-FMeD.js","marked.esm-CZWythHk.js","AssistantPageLink-DqdKa2R4.js"]}